<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Pemesanan Ruang Meeting</title>
  <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <div class="container">
    <h2>Daftar Pesanan Anda</h2>

    <table class="table table-striped" id="mytable">
      <thead>
        <tr>
          <th>ID</th>
          <th>ID Ruang</th>
          <th>Durasi</th>
          <th>Email</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
         {{#each results}}
        <tr>
          <td>{{ idpesan }}</td>
          <td>{{ idruang }}</td>
          <td>{{ durasi }}</td>
          <td>{{ email}}</td>
          <td>
            <a href="javascript:void(0);" class="btn btn-sm btn-info edit">Edit</a>
            <a href="javascript:void(0);" class="btn btn-sm btn-danger delete">Delete</a>
          </td>
        </tr>
        {{/each}}
      </tbody>
    </table>
  </div>

<script src="/assets/js/jquery-3.5.1.js"></script>
<script src="/assets/js/bootstrap.js"></script>
<script>
    $(document).ready(function(){
			//showing data to modal for edit record
      $('#mytable').on('click','.edit',function(){
        var cust_id = $(this).data('cust_id');
        var nama = $(this).data('nama');
        var alamat = $(this).data('alamat');
        var kode_post = $(this).data('kode_post');
        var no_hp = $(this).data('no_hp');
        var email = $(this).data('email');

        $('#EditModal').modal('show');
        $('.cust_id').val(cust_id);
        $('.nama').val(nama);
        $('.alamat').val(alamat);
        $('.kode_post').val(kode_post);
        $('.no_hp').val(no_hp);
        $('.email').val(email);
      });

</script>
</body>
</html>
